OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
OMFilter Class Reference

`#include <FilterMesh.h>`

Inheritance diagram for OMFilter:

## Public Member Functions
| MDS_SHAREDPTR (OMFilter)
| OMFilter (const std::string &sDescription)
virtual | ~OMFilter ()

## Protected Member Functions
virtual bool | startup ()
virtual bool | main ()
virtual void | shutdown ()
virtual void | writeExtendedUsage (std::ostream &Stream)

## Protected Attributes
int | m_filters
std::string | m_filenameF
std::string | m_filenameW

## Detailed Description

Module rasterizes vertex neighbourhood on a tangent raster

## Constructor & Destructor Documentation

OMFilter::OMFilter | ( | const std::string & | sDescription | ) |

Constructor

Parameters

  sDescription | Description of the module

OMFilter::~OMFilter | ( |  | ) |
| virtual

Virtual destructor

## Member Function Documentation

bool OMFilter::main | ( |  | ) |
| protected virtual

Virtual method called by the processing thread

Returns
  True if main loop continues

OMFilter::MDS_SHAREDPTR | ( | OMFilter |  | ) |

Smart pointer type

void OMFilter::shutdown | ( |  | ) |
| protected virtual

Called on console shutdown

bool OMFilter::startup | ( |  | ) |
| protected virtual

Virtual method called on startup

Returns
  True if startup was successful

void OMFilter::writeExtendedUsage | ( | std::ostream & | Stream | ) |
| protected virtual

Called on writing a usage statement

Parameters

  Stream | Output stream

## Member Data Documentation

std::string OMFilter::m_filenameF
| protected

std::string OMFilter::m_filenameW
| protected

int OMFilter::m_filters
| protected

The documentation for this class was generated from the following files:

- trunk/src/modules/FilterMesh/FilterMesh.h
- trunk/src/modules/FilterMesh/FilterMesh.cpp